### Function

# ECal util_remove_instances

deprecated: 3.38

#### Declaration [src]

    void
    e_cal_util_remove_instances (
      ICalComponent* icalcomp,
      const ICalTime* rid,
      ECalObjModType mod
    )

#### Description [src]

Removes one or more instances from `icalcomp` according to `rid` and `mod`.

Deprecated since: 3.38

Use `e_cal_util_remove_instances_ex()` instead, with provided timezone resolve function.

#### Parameters

`icalcomp`

  Type: `None`

  A (recurring) `ICalComponent`.

  The data is owned by the caller of the function.

`rid`

  Type: `None`

  The base RECURRENCE-ID to remove.

  The data is owned by the caller of the function.

`mod`

  Type: `ECalObjModType`

  How to interpret `rid`.